## libapache2-mod-perl2 2.0.11

=== debian/changelog ===
libapache2-mod-perl2 (2.0.11-4) unstable; urgency=medium

  * Add a patch from upstream SVN to fix a SIGSEGV crash due to wrong use
    of perl_parse(). (LP: #1915959)
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 22 Feb 2021 19:00:30 +0100

libapache2-mod-perl2 (2.0.11-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 2.0.2-2.3.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dh arguments: --parallel

  [ gregor herrmann ]
  * Update lintian overrides for renamed tags.

  [ Debian Janitor ]
  * Apply multi-arch hints.

  [ gregor herrmann ]
  * Run tests with "-servername 127.0.0.1" instead of the default
    'localhost' to avoid DNS lookup failures on IPv6-only machines.
    (Closes: #974033)
  * Run tests with "-port select" to avoid 'port 8529 is in use' errors.
    (Closes: #787503)
  * Update lintian overrides.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.
  * debian/rules: export all hardening flags.
  * Add another lintian override, for hardening-no-fortify-functions.
  * Add another lintian override, for wrong-section-according-to-package-name.
  * Declare compliance with Debian Policy 4.5.1.

 -- gregor herrmann <gregoa@debian.org>  Sun, 29 Nov 2020 15:59:21 +0100

libapache2-mod-perl2 (2.0.11-2) unstable; urgency=medium

  [ gregor herrmann ]
  * libapache2-mod-perl2-doc: move dwww from Recommends to Suggests.
    Thanks to Gianfranco Costamagna for the bug report. (Closes: #942297)

  [ Helmut Grohne ]
  * Reduce Build-Depends using <!nocheck> and B-D-I. (Closes: #951319)

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 4.5.0.
  * Drop unneeded version constraints from (build) dependencies.
  * Update Build-Depends for cross builds.
  * debian/watch: use uscan version 4.
  * Use secure URI in Homepage field.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.
  * Remove a now unused lintian override.
  * Update years of packaging copyright.
  * Fix typo in previous changelog entry.

 -- gregor herrmann <gregoa@debian.org>  Fri, 14 Feb 2020 14:17:36 +0100

libapache2-mod-perl2 (2.0.11-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Enable (parts of) autopkgtest-pkg-perl.
  * Update debian/tests/control to match the one generated by autodep8.

  [ Damyan Ivanov ]
  * New upstream version 2.0.11
  * drop patches applied upstream.
    260_fix_pipelined_response_deadlock.patch
    370_http_syntax.patch
    380_inject_header_line_terminators.patch
    CVE-2011-2767.patch
  * rebase 030-apxs-no-prefix.patch
  * refresh line numbers in two patches
  * use https in the d/watch URL for apache.org
  * declare conformance with Policy 4.4.1 (no changes needed)
  * replace build path in BuildConfig.pm with /build to help reproducibility.
  * override another spelling mistake false positive

 -- Damyan Ivanov <dmn@debian.org>  Sun, 13 Oct 2019 16:06:30 +0000

libapache2-mod-perl2 (2.0.10-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Xavier Guimard ]
  * Patches:
    - update format of 0001-Skip-* and 370_http_syntax.patch
    - use short link for bugs.d.o in honour-env-LDFLAGS.patch
    - update offset in avoid-db-linkage.patch
    - add new spelling errors in 200_fix-pod-spelling-errors.patch
  * Apache2 license:
    - update Apache2 license link
    - add required NOTICE file in docs
  * dependencies:
    - remove useless dependency version to apache2-dev
    - remove dh-apache2 from dependencies (alias to apache2-dev)
  * Add myself to uploaders
  * Declare compliance with policy 4.1.5
  * Bump debhelper compatibility to 10
  * Add debian/upstream/metadata
  * Remove useless --parallel option in debian/rules
  * Remove useless Testsuite entry
  * Email change: Xavier Guimard -> yadd@debian.org

  [ Dominic Hargreaves ]
  * [SECURITY] CVE-2011-2767: don't allow <Perl> sections in
    user controlled configuration (Closes: #644169)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 15 Nov 2018 19:25:41 +0000
