=== debian/tests/control ===
Tests: mysmoke
Depends: @, @builddeps@
Restrictions: allow-stderr, skippable
