=== debian/watch ===
version=4
opts=dversionmangle=s/\+httpd24-r\d+$// \
https://apache.org/dist/perl   mod_perl-([\d\.]+)\.tar\.gz

opts=dversionmangle=s/\+httpd24-r\d+$// \
https://metacpan.org/release/mod_perl   .*/mod_perl-v?@ANY_VERSION@@ARCHIVE_EXT@$
