## libapache2-mod-perl2 2.0.12

=== debian/changelog ===
libapache2-mod-perl2 (2.0.12-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ gregor herrmann ]
  * Add patch from CPAN RT / upstream SVN/Git to fix compatibility with
    perl >= 5.37.1.
    Thanks to Niko Tyni for the bug report. (Closes: #1040384)
  * Update years of packaging copyright.
  * Update lintian overrides (syntax changes).

 -- gregor herrmann <gregoa@debian.org>  Wed, 05 Jul 2023 22:00:06 +0200

libapache2-mod-perl2 (2.0.12-1) unstable; urgency=medium

  * debian/watch: update Apache variant (file pattern and pgpmode).
  * Add debian/upstream/signing-key.asc.
  * debian/watch: comment out MetaCPAN alternative.
    uscan and/or gbp-import-orig are unhappy about this setup.

  * Import upstream version 2.0.12.
  * Install new upstream CONTRIBUTING.md file.
  * Update years of packaging copyright.
  * Drop two patches which were taken from the upstream SVN repo.
  * Update lintian override (output format).

 -- gregor herrmann <gregoa@debian.org>  Wed, 02 Feb 2022 20:53:40 +0100

libapache2-mod-perl2 (2.0.11-7) unstable; urgency=medium

  * debian/rules: make usage of $Config{vendorarch}
    cross-build-compatible.
  * Declare compliance with Debian Policy 4.6.0.
  * Update lintian overrides.
  * Fix typo in 2.0.11-5 changelog entry.

 -- gregor herrmann <gregoa@debian.org>  Sat, 06 Nov 2021 03:05:19 +0100

libapache2-mod-perl2 (2.0.11-6) unstable; urgency=medium

  * Upload to unstable.

 -- gregor herrmann <gregoa@debian.org>  Sun, 15 Aug 2021 15:26:28 +0200

libapache2-mod-perl2 (2.0.11-5) experimental; urgency=medium

  * Add patch from upstream SVN to fix compilation with perl >= 5.33.7.
  * Upload to experimental because of the freeze.

 -- gregor herrmann <gregoa@debian.org>  Fri, 21 May 2021 22:22:25 +0200
