## libapache2-mod-perl2 2.0.13

=== debian/changelog ===
libapache2-mod-perl2 (2.0.13-2) unstable; urgency=medium

  [ Andreas Hasenack ]
  * d/p/ftbfs-armhf-fix.patch: fix FTBFS on armhf (LP: #2081981)

  [ gregor herrmann ]
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.7.0.

 -- gregor herrmann <gregoa@debian.org>  Wed, 25 Sep 2024 19:12:11 +0200

libapache2-mod-perl2 (2.0.13-1) unstable; urgency=medium

  * New upstream version 2.0.13
  * Update patches

 -- Damyan Ivanov <dmn@debian.org>  Sun, 29 Oct 2023 12:44:45 +0000

libapache2-mod-perl2 (2.0.13-1~1) unstable; urgency=medium

  * New upstream version 2.0.13

 -- Damyan Ivanov <dmn@debian.org>  Fri, 27 Oct 2023 18:11:38 +0000
