=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                perl:native
 Build-Depends-Indep: rename
 Build-Conflicts: apache2-mpm-event
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libapache2-mod-perl2
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libapache2-mod-perl2.git
 Homepage: https://perl.apache.org/
