=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 TMP     = $(CURDIR)/debian/tmp
 MPR     = $(CURDIR)/ModPerl-Registry
 APR     = $(CURDIR)/Apache-Reload
-PVA     = $(shell perl -MConfig -e'print substr($$Config{vendorarch},1)')
+
+include /usr/share/dpkg/architecture.mk
+PERLVER = $(shell perl -MConfig -e 'print $$Config{version}')
+PVA     = $(shell perl -I/usr/lib/$(DEB_HOST_MULTIARCH)/perl/cross-config-$(PERLVER) -MConfig -e 'print substr($$Config{vendorarch},1)')
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
